/* ESTILOS GENERALES CSNET */

:root {
    --principal: #191919;
    --secundario: #484848;
    --terciario: #9d9652;
    --accent: #e9e7d9;
    --negro: #131313;
}

@font-face {
    font-family: "Roboto";
    src: url("/fuentes/Roboto/Roboto-Light.ttf");
    font-style: normal;
    font-weight: 300;
}

@font-face {
    font-family: "Roboto";
    src: url("/fuentes/Roboto/Roboto-Regular.ttf");
    font-style: normal;
    font-weight: 400;
}

@font-face {
    font-family: "Roboto";
    src: url("/fuentes/Roboto/Roboto-Bold.ttf");
    font-style: normal;
    font-weight: 700;
}

@font-face {
    font-family: "Raleway";
    src: url("/fuentes/Raleway/Raleway-VariableFont_wght.ttf")
        format("truetype");
    font-weight: 100 900;
    font-style: normal;
    font-display: swap;
}
@font-face {
    font-family: "Raleway";
    src: url("/fuentes/Raleway/Raleway-Italic-VariableFont_wght.ttf")
        format("truetype");
    font-weight: 100 900;
    font-style: italic;
    font-display: swap;
}

.fondo-principal {
    background-color: var(--principal);
}

.color-principal {
    color: var(--principal);
}

.boton-principal {
    color: white;
    background-color: var(--principal);
    border: 1px solid var(--principal);
}

.boton-principal:hover {
    color: white;
    background-color: var(--secundario);
    border: 1px solid var(--secundario);
}

.boton-outline-principal {
    color: var(--principal);
    border: 1px solid var(--principal);
}

.boton-outline-principal:hover {
    color: white;
    background-color: var(--principal);
}

body {
    font-family: "Raleway", sans-serif;
    background-color: white;
    display: flex;
    flex-direction: column;
    min-height: 100vh;
    font-size: 1rem;
}

main {
    flex-grow: 1;
}

.boton-clausula {
    width: fit-content;
    border: 1px solid rgb(190, 190, 190);
}

.boton-clausula:focus:not(:focus-visible),
.boton-clausula:not(.collapsed) {
    color: var(--negro);
    box-shadow: none;
    background-color: transparent;
    border: 1px solid rgb(190, 190, 190);
}

.boton-clausula:not(.collapsed)::after {
    background-image:
        url("/imagenes/iconos/chevron-down.svg"),
        url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 16 16' fill='%230c63e4'%3e%3cpath fill-rule='evenodd' d='M1.646 4.646a.5.5 0 0 1 .708 0L8 10.293l5.646-5.647a.5.5 0 0 1 .708.708l-6 6a.5.5 0 0 1-.708 0l-6-6a.5.5 0 0 1 0-.708z'/%3e%3c/svg%3e");
}

.card-noticia {
    text-decoration: none;
    color: var(--negro);
    transition: all 0.2s;
}

.card-noticia:hover {
    color: var(--negro);
    opacity: 0.7;
}

.noticia a {
    color: var(--principal);
    text-decoration: none;
    transition: all 0.2s;
}

.noticia a:hover {
    opacity: 0.7;
}

ul.pagination {
    justify-content: center;
    margin-bottom: 3em;
}

.pagination .page-item.active .page-link {
    background-color: var(--verde1);
    border-color: var(--verde1);
}

.pagination .page-link {
    color: var(--verde1);
}

.pagination .page-link:focus {
    box-shadow: none;
}

.pagination .page-item:first-child .page-link,
.pagination .page-item:last-child .page-link {
    border-radius: 0;
}

.pie {
    background-color: #ede9db;
    color: #222;
    font-size: 14px;
}

.footer-title {
    font-size: 12px;
    letter-spacing: 1px;
    margin-bottom: 1.5rem;
}

.footer-list {
    list-style: none;
    padding: 0;
    margin: 0;
}

.footer-list li {
    display: flex;
    align-items: center;
    gap: 10px;
    margin-bottom: 0.75rem;
}

.footer-social a {
    color: #000;
    font-size: 18px;
    margin-left: 12px;
    text-decoration: none;
}

.footer-legal {
    font-size: 11px;
    color: #555;
}

.footer-legal a {
    color: inherit;
    text-decoration: none;
}

/* kit digital */
.kit-digital {
    background-color: #ffffff;
    padding: 2.5rem 0;
}

.kit-logos {
    display: flex;
    justify-content: center;
    align-items: center;
}

.kit-logos img {
    max-width: 100%;
    height: auto;
}

/* Estilo para el ancho de pantalla de nuria ibañez */
.page-container {
    max-width: 1200px;
}

/* Estilos navbar */
.navbar-brand {
    display: flex;
    justify-content: center;
    margin: 0;
}
.navbar-brand img {
    max-height: 45px;
}

.nav-link, .idioma-text {
    color: var(--principal);
    font-size: 12px;
    font-style: normal;
    font-weight: 700;
    line-height: normal;
    text-transform: uppercase;
}

.idioma-text.active{
color: var(--terciario) ;
}

.nav-link {
    position: relative;
    display: inline-block;
}

/* Línea inferior centrada */
.nav-link::after {
    content: "";
    position: absolute;
    bottom: -4px; /* separación respecto al texto */
    left: 50%;
    transform: translateX(-50%);
    width: 0; /* empieza invisible */
    height: 7px; /* grosor */
    background-color: #8c8a4a; /* color */
    transition: width 0.3s ease;
}

/* Estado activo */
.nav-link.active,
.nav-link:focus {
    color: #111;
}

.nav-link.active::after {
    width: 18px; /* largo de la línea */
}

.nav-link:hover {
    color: var(--secundario) !important;
}

/* IDIOMA */

.lang-switcher {
    display: inline-flex;
    gap: 6px;
    align-items: center;
}

.alternative-lang {
    position: relative;
    display: inline-block;
    text-decoration: none;
    color: var(--principal) !important;
    padding: 0 2px;
}

/* Contenedor general */
.nav-link.lang-wrapper {
    display: inline-flex;
    align-items: center;
    padding: 0; /* clave */
    line-height: 1; /* clave */
}

/* Switcher de idiomas */
.lang-switcher {
    display: inline-flex;
    align-items: center;
    gap: 6px;
}

/* Idiomas */
.lang-switcher a,
.lang-switcher span {
    position: relative;
    display: inline-flex;
    align-items: center;
    line-height: 1;
    padding: 0 2px;
    text-decoration: none;
    color: inherit;
}

/* Línea inferior */
.lang-switcher a::after,
.lang-switcher span::after {
    content: "";
    position: absolute;
    bottom: -6px; /* ajusta fino aquí */
    left: 50%;
    transform: translateX(-50%);
    width: 0;
    height: 7px;
    background-color: #8c8a4a;
    transition: width 0.3s ease;
}

/* Hover */
.lang-switcher a:hover {
    color: var(--secundario) !important;
}

.lang-switcher .active {
    color: #111;
    font-weight: 600;
}

.lang-switcher .active::after {
    width: 0;
}
.lang-switcher .sep {
    opacity: 0.5;
    pointer-events: none;
}

.active-lang,
.active-lang:hover {
    color: var(--terciario) !important;
}

.lang-wrapper::after {
    display: none !important;
}

.lang-switcher .active {
    color: var(--terciario);
    font-weight: 600;
}


.idioma-navbar {
    position: absolute;
    right: 0;
    top: 50%;
    transform: translateY(-50%);
}

.navbar-nav {
    gap: 44px;
}
@media (min-width: 992px) {
    .navbar-nav {
        width: 100%;
        justify-content: space-between;
    }
}

@media (max-width: 768px) {
    .navbar-brand img {
        max-height: 90px;
        height: 100%;
    }

    .nav-link {
        color: var(--principal);
        font-size: .9rem;
    }
}
